Skip to main content
GET
/
checkout
/
sessions
List checkout sessions
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/checkout/sessions \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "meta": {
    "page_info": {
      "total": 123,
      "current_page": 123,
      "total_pages": 123
    }
  },
  "data": [
    {
      "id": "<string>",
      "amount": 12.34,
      "currency": "NGN",
      "customer_id": "<string>",
      "checkout_url": "<string>",
      "redirect_url": "<string>",
      "reference": "<string>",
      "created_datetime": "2023-11-07T05:31:56Z",
      "max_retry_attempts": 3,
      "session_duration": 1442
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Query Parameters

page
integer
default:1

The page of the data to retrieve. The most recent data entry is on page 1.

Required range: x >= 1
size
integer
default:10

Length of data returned. Defaults to 10.

Required range: 10 <= x <= 50

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
meta
object
data
object[]
Maximum array length: 10